admin

docker 与 docker-compose version 版本对应关系

admin 虚拟化 2020-12-30 210浏览 0

Docker Engine 与docker-compose version 之间的有以下关系:

Compose file formatDocker Engine
11.9.0+
2.01.10.0+
2.11.12.0+
2.2, 3.0, 3.1, 3.21.13.0+
2.3, 3.3, 3.4, 3.517.06.0+
2.417.12.0+
3.618.02.0+
3.718.06.0+

但之前遇到了docker版本已经是18.06.0+ 但不能使用3.7版本yml 配置文件的问题。

【解决方法】

改用官方提供的docker-compose,从1.25.5版本开始,可以直接按操作系统平台下载安装包:

项目地址:https://github.com/docker/compose/releases

对于1.25.4或者更早的版本,可以参考下面的方法使用:

curl -L https://github.com/docker/compose/releases/download/1.25.4/docker-compose-`uname -s`-`uname -m` -o /usr/local/bin/docker-composechmod +x /usr/local/bin/docker-compose


版权声明

本站《作品展示》类文章均为原创,转载必须注明出处,技术分享类文章部分来源于网络,版权归原作者所有,若侵权请留言。

发表评论
展开